> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synkrony.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar projeto



## OpenAPI

````yaml /api-reference/v1/swagger.json post /api/v1/projects
openapi: 3.1.0
info:
  title: API V1
  version: v1
servers:
  - url: https://app.synkrony.ai
security:
  - BearerAuth: []
paths:
  /api/v1/projects:
    post:
      tags:
        - Projects
      summary: Criar projeto
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                project:
                  type: object
                  properties:
                    name:
                      type: string
                      example: Novo nome do projeto
                    color:
                      type: string
                      example: '#FF5733'
                    client_name:
                      type: string
                      example: Novo nome do cliente
                    has_kanban:
                      type: boolean
                      example: true
                    number_of_hours_per_sprint:
                      type: integer
                      example: 80
                      nullable: true
                    cost_cents:
                      type: integer
                      example: 500000
              required:
                - project
      responses:
        '200':
          description: Project created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Project'
                required:
                  - data
        '401':
          description: unauthorized
components:
  schemas:
    Project:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        color:
          type: string
        client_name:
          type: string
        icon:
          type: string
          nullable: true
        has_kanban:
          type: boolean
        cost_cents:
          type: number
        start_period:
          type: string
          nullable: true
        end_period:
          type: string
          nullable: true
        number_of_hours_per_sprint:
          type: number
          nullable: true
        number_of_sprints:
          type: number
          nullable: true
        discarded_at:
          type: string
          nullable: true
        repository_url:
          type: string
          nullable: true
        auto_correct_ci_enabled:
          type: boolean
        project_users:
          type: array
          items:
            type: object
          nullable: true
        external_project_links:
          type: array
          items:
            type: object
            properties:
              provider:
                type: string
                nullable: true
              external_project_id:
                type: string
              external_project_name:
                type: string
                nullable: true
              external_project_key:
                type: string
                nullable: true
            required:
              - external_project_id
      required:
        - id
        - name
        - color
        - client_name
        - has_kanban
        - cost_cents
        - auto_correct_ci_enabled
        - external_project_links
        - external_project_links
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'API token no formato Bearer. Exemplo: Bearer YOUR_API_TOKEN'

````